/**
* PRÉ DEFINIÇÕES CSS
*/

/* DIVERSOS */
.overflow-hide {
    overflow: hidden !important;
}
.overflow-show {
    overflow: visible !important;
}


/* MARGINS */
.no-margin {
    margin: 0 !important;
}
.margin-left-5 {
    margin-left: 5px !important;
}
.margin-right-5 {
    margin-right: 5px !important;
}
.margin-top-5 {
    margin-top: 5px !important;
}
.margin-bottom-5 {
    margin-bottom: 5px !important;
}
.margin-left-10 {
    margin-left: 10px !important;
}
.margin-right-10 {
    margin-right: 10px !important;
}
.margin-top-10 {
    margin-top: 10px !important;
}
.margin-bottom-10 {
    margin-bottom: 10px !important;
}
.margin-left-20 {
    margin-left: 20px !important;
}
.margin-right-20 {
    margin-right: 20px !important;
}
.margin-top-20 {
    margin-top: 20px !important;
}
.margin-bottom-20 {
    margin-bottom: 20px !important;
}


/* TEXT COLORS */
.txt-blue {
    color: #217bbb;
}
.txt-red {
    color: red;
}
.txt-white {
    color: #fff;
}
.txt-gray,
.txt-gray-6{
    color: #666;
}
.txt-gray-7 {
    color: #777;
}
.txt-gray-8 {
    color: #888;
}
.txt-gray-9 {
    color: #999;
}
.txt-gray-a {
    color: #aaa;
}
.txt-gray-b {
    color: #bbb;
}
.txt-gray-c {
    color: #ccc;
}
.txt-gray-d {
    color: #ddd;
}


/* TEXT WEIGHTS */
.bold {
    font-weight: bold;
}
.bold-300 {
    font-weight: 300;
}
.bold-400 {
    font-weight: 400;
}
.bold-500 {
    font-weight: 500;
}
.bold-600 {
    font-weight: 600;
}
.bold-700 {
    font-weight: 700;
}
.bold-800 {
    font-weight: 800;
}
.bold-900 {
    font-weight: 900;
}

.font-8 {
    font-size: 8px;
}
.font-9 {
    font-size: 9px;
}
.font-10 {
    font-size: 10px;
}
.font-11 {
    font-size: 11px;
}
.font-12 {
    font-size: 12px;
}
.font-13 {
    font-size: 13px;
}
.font-14 {
    font-size: 14px;
}
.font-16 {
    font-size: 16px;
}
.font-18 {
    font-size: 18px;
}
.font-20 {
    font-size: 20px;
}
.font-22 {
    font-size: 22px;
}
.font-24 {
    font-size: 24px;
}
.font-26 {
    font-size: 26px;
}
.font-28 {
    font-size: 28px;
}
.font-30 {
    font-size: 30px;
}
.font-32 {
    font-size: 32px;
}
.font-34 {
    font-size: 34px;
}
.font-36 {
    font-size: 36px;
}


/* TEXT TRAMSFORMS */
.uppercase {
    text-transform: uppercase !important;
}


/* TEXT DECORATIONS */
.no-underline, .no-underline:hover, .no-underline:focus, .no-underline:active {
    text-decoration: none !important;
}


/* MODALS */
.modal-50 {
    width: 50%;
}
.modal-60 {
    width: 60%;
}
.modal-70 {
    width: 70%;
}
.modal-80 {
    width: 80%;
}
.modal-90 {
    width: 90%;
}
.modal-95 {
    width: 95%;
}
.modal-100 {
    width: 100%;
}